yum で update したら WordPress が動かなくなってしまった.5.5.0 から 5.5.1 へのアップデート.どういうふうに解決するのが正しい方法なのかわからなかったのだけど,私は次のようにして解決しました.

Pocket

 

未来の自分のためのメモ.

いつもどおりに yum update をかけたら,その中に PHP関係の更新いくつかとWordPress が入っていた.
深く考えることなくいつもどおりに update したら,WordPress が動かなくなってしまった.
表示されているのは,「デバッグするにはこのページを見てください」というような旨の英語ページ.
WordPress は remi で入れた版で,yum update が行ったのは 5.5.0 から 5.5.1 へのアップデート.

とりあえず,「デバッグするにはこのページを見てください」ページの「learn more」リンク先を見ると,wp-config.php に

define(‘WP_DEBUG’, true);
define(‘WP_DEBUG_LOG’, ‘wp-content/debug.log’ );

などを追記して,ログを見ましょう,とのこと.
言われるままにやってみて,動かなくなった WordPress をブラウザでリロードしてログを見る.


PHP Warning: require(/usr/share/wordpress/wp-includes/sodium_compat/autoload.php): failed to open stream: No such fi
le or directory in /usr/share/wordpress/wp-includes/compat.php on line 333

このエラーメッセージでしばらく Webを検索したけれど,「そのものズバリ」の解決方法は見つからなかった.

「wp-includes/compat.php をいじってしまおうかなぁ… .」と思いつつも,とりあえず,wp-includes/ の中を見ると,sodium_compat/ がない.
小手先の修正でこの場をしのぐのはよくなさそうだ,と考えた.

 

結局のところ,どういうふうに解決するのが正しい方法なのかわからなかったのだけど,私は次のようにして解決しました.
やっていることは,「yum でインストールされた wp-includes/ を,WordPress 公式サイトからダウンロードできる同 Ver. の WordPress の wp-includes/ と入れ替える」という作業.

 

o 公式サイトから 5.5.1 をダウンロードしてくる..tar.gz 形式を選べたので,.tar.gz のほう.
https://wordpress.org/download/

o 現状の WordPress に上書きしてしまわないように,適当な作業ディレクトリで .tar.gz を展開する.

o 現状の WordPress の wp-includes/ をどこかに移動しておく.削除しない.バックアップ保存.

o 適当な作業ディレクトリに展開しておいた WordPress の中から,wp-includes/ を,現状の WordPress の wp-includes/ のあったところにコピーしてくる.

 

これで,とりあえず,WordPress が動くようになりました.

ただ,動くようにはなったものの,WordPress のバージョンアップにともなって動かなくなってしまった,あるいは,PHP の警告が表示されてしまうようになったプラグインがあって,ブラウザにエラーメッセージがわらわら表示されてしまっている.
仕方ないので,エラーメッセージから動かなくなってしまったプラグインを特定して,「無効」にした.「アンイストール」してしまうと,「何のためにどれを使っていたのか」がわからなくなってしまうので,とりあえず,メモ代わりにするために「無効」にするだけにしておく.

これで,エラーメッセージが何も表示されることなく WordPress が動くようになりました.

 

エラーメッセージが表示されることなく動くようになったので,[ダッシュボード] の [サイトネットワークをアップグレード] で WordPress のデータベース(内部情報)を更新.
無事終了.

 

これで,解決したような気がするのだけど,よくわかりません.自信がない.

ということもあって,この記事をテスト代わりに書きました.

 

それにしても,今回のバージョンアップで動かなくなってしまったプラグイン,「Movable Type・TypePad インポートツール」の代わりはないものか.
これが動かなくなると,結構,困る人がいるんじゃないかなぁ… .

「Movable Type and TypePad Importer – WordPress plugin | WordPress.org」 
https://wordpress.org/plugins/movabletype-importer/

 
 
 
 
==
Pocket